version: '2'
services:
  gitsearch-app:
    image: docker.uibk.ac.at:443/csar9407/gitsearch:master-3797948b22c16f14441df6f2ced71aacd9e76feb
    environment:
      - _JAVA_OPTIONS=-Xmx512m -Xms256m
      - SPRING_PROFILES_ACTIVE=prod,swagger
      - MANAGEMENT_METRICS_EXPORT_PROMETHEUS_ENABLED=true
      - SPRING_DATASOURCE_URL=jdbc:mysql://gitsearch-mysql:3307/gitsearch?useUnicode=true&characterEncoding=utf8&useSSL=false&useLegacyDatetimeCode=false&serverTimezone=UTC&createDatabaseIfNotExist=true
      - JHIPSTER_SLEEP=30 # gives time for other services to boot before the application
      - SPRING_DATA_JEST_URI=http://gitsearch-elasticsearch:9200
      - SPRING_ELASTICSEARCH_REST_URIS=http://gitsearch-elasticsearch:9200
    ports:
      - 8080:8080
  gitsearch-mysql:
    extends:
      file: mysql.yml
      service: gitsearch-mysql
  gitsearch-elasticsearch:
    extends:
      file: elasticsearch.yml
      service: gitsearch-elasticsearch
